<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Making a State-Capital Table </title>
<!-- 
	Add JavaScript -- specifically jQery and the data-table plugin
	https://www.datatables.net/examples/basic_init/zero_configuration.html
	also link to style for jquery data-tables
  --> 
<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="http://cdn.datatables.net/1.10.7/js/jquery.dataTables.min.js"></script>
<link rel="StyleSheet" href="http://cdn.datatables.net/1.10.7/css/jquery.dataTables.css" type="text/css" />
<script>
//(document).ready is the jquery method for when the page is loaded 
$(document).ready(function() {
    $('#data_table').DataTable();  //give the element with the id of data_table the DataTable functionality
	//note that the table in question should use <thead> and <tbody>
} );
</script>
</head>

<body>
<?php
error_reporting(E_ALL);  

require "Credentials.php";  //The credentials file contains the variables $hostname, $database, $username, $password
 
try{
	$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
	$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e){
	echo $e->getMessage();
	die();
}

$statement = $conn->prepare("SELECT * FROM tbstatecapital");
$statement->execute();

echo "<h1>Making a State-Capital Table </h1>";
echo "<table border='1' id='data_table'>\n";
$describe = $conn->prepare("DESCRIBE tbstatecapital");
$describe->execute();
//print_r($describe->fetch(PDO::FETCH_ASSOC));
echo "<thead><tr>\n";
while($row = $describe->fetch(PDO::FETCH_NUM)){
		echo "<th>";
		echo $row[0];
		echo "</th>\n";
}
echo "</tr></thead>\n";
$statement = $conn->prepare("SELECT * FROM tbstatecapital");
$statement->execute();
echo "<tbody>\n";
while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
	//using an associative array approach
	echo "<tr>\n";
	foreach ($row as $key => $value){
		echo "<td>";
		echo $value;
		echo "</td>\n";
	}
	echo "</tr>\n";
}
echo "</tbody>\n";
echo "</table>\n";

?>
</body>
</html>